---
- hosts: all
  vars:
    pip_install_packages:
      - name: docker

  roles:
    - geerlingguy.pip

  pre_tasks:
    - name: Update apt cache.
      apt:
        update_cache: true
        cache_valid_time: 3600
      when: ansible_os_family == 'Debian'

  tasks:
#    - name: Deploy redmine throw ansible
#      community.docker.docker_container:
#        container_default_behavior: no_defaults
#        name: app
#        image: redmine
#        restart: yes
#        ports:
#          - '80:3000'
#        env:
#          REDMINE_DB_POSTGRES: '{{ dbHost }}'
#          REDMINE_DB_PORT: '{{ dbPort }}'
#          REDMINE_DB_USERNAME: '{{ dbUser }}'
#          REDMINE_DB_DATABASE: '{{ dbName }}'
#          REDMINE_DB_PASSWORD: '{{ dbPassword }}'

    - name: setup Datadog
      include_role:
        name: datadog.datadog
